import 'package:dartz/dartz.dart';
import '../../core/error/failures.dart';
import '../models/vacation_type_model.dart';
import '../repositories/vacation_repository.dart';

class GetVacationTypesUseCase {
  final VacationRepository repository;

  GetVacationTypesUseCase({required this.repository});

  Future<Either<Failure, VacationTypesResponseModel>> call() {
    return repository.getVacationTypes();
  }
}
